#!/bin/sh

# Guess values for system-dependent variables and create Makefiles.
# Generated automatically using autoconf version 2.1 
# Copyright (C) 1992, 1993, 1994 Free Software Foundation, Inc.
#
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

# Defaults:
ac_help=
ac_default_prefix=/usr/local
# Any additions from configure.in:
#
#  initialize local variables
#
    ADD_tclINCS=
    ADD_tclLIBS=
     ADD_tkINCS=
     ADD_tkLIBS=
enable_streamif=no
  enable_arrows=yes
      with_tclx=no

__usage="
usage: configure [--<option>[=<value>]] ...

Set compilation and installation parameters for tclOBST using the GNU
autoconf system.
Besides the standard GNU configure options (see below), the following
options are recognized (there must be no white space in an option spec):

  --obst-includes=<d>   Search for OBST header files foremost in <d>.
  --obst-libraries=<d>  Search for OBST libraries formost in <d>.  

  --tcl-includes=<d>	Search for TCL header files foremost in <d>.
  --tcl-libraries=<d>   Search for TCL libraries foremost in <d>.

  --tk-includes=<d>	Search for TK header files foremost in <d>.
  --tk-libraries=<d>    Search for TK libraries foremost in <d>.

  --with-tclx		Create wish based on Extended Tcl.
  --without-tclx	Create wish based on standard tcl/tk [default].

  --enable-arrows	Add arrows extension to tcl/tk shells [default].
  --disable-arrows	Do not add the arrows extension to tcl/tk shells.

  --enable-streamif	Add stream-like interface to C-->OBST interface.
  --disable-streamif	Do not add stream-like interface [default].

  --subst:<nm>=<txt>    Define <txt> as value for @<nm>@ in configured files.
  --define:<nm>=<txt>   Set <txt> as value for #define <nm> in configured
                        header files.
  --prevent:<nm>        Prevent a later '--subst' or '--define' declaration
                        from taking effect.
  --conf-file=<file>    Similar to '--subst', '--define', or '--prevent' but
                        the declarations are taken from <file> instead of
                        listing them individually on the command line.
                        <file> is expected to contain specifications in the
                        form <nm>=<txt> for substitutions, <nm>:<txt> for
                        definitions, and !<nm> for a 'prevent' declaration,
                        any other lines are ignored.

                        Only the first definition/substitution for a given
                        <nm> will be performed.

  --usage,--help        Print options and exit.
"
ADD_obstINCS=;ADD_obstLIBS=;__defaultdirs="./include/etc";__tmpf=/tmp/conf$$ig
__opts_out=; __opts_saved=""; __opts_in="$*"
verbose=; silent=
for __o in $__opts_in ""
do case "$__o" in
      --usage|--help) __opts_in=
		      __opts_out="--help"
		      echo "$__usage"
		      break;;
   esac
done
for opt in $__opts_in ""
do
   case "$opt" in
      --silent|--silen|--sile|--sil|--si|--s|--quiet|--quie|--qui|--qu|--q|\
       -silent| -silen| -sile| -sil| -si| -s| -quiet| -quie| -qui| -qu| -q)
			    silent=yes
			    __opts_out="$__opts_out '--q'"
			    continue
			    ;;
      --verbose|--verbos|--verbo|--verb|--v|\
       -verbose| -verbos| -verbo| -verb| -v)
			    verbose=yes
			    __opts_out="$__opts_out '-v'"
			    continue
			    ;;
      --define:*=*)       eval `echo "$opt" | sed -n 's|^[^:]*:\([^=]*\)=\(.*\)|__n="\1";__v="\2"|p'`
__vnm="__`echo "$__n" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ cat >> confdefs.h <<EOF
#define $__n $__v
EOF

eval `echo "$__vnm='$__v'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`
test -z "$verbose" || echo "	defining $__n as \"$__v\""
}	;;
      --subst:*=*)          eval `echo "$opt" | sed -n 's|^[^:]*:\([^=]*\)=\(.*\)|__n="\1";__v="\2"|p'`
__vnm="__`echo "$__n" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@$__n@%$__v%g";__addsubst_=+
test -z "$verbose" || echo "	setting $__n to \"$__v\""
eval `echo "$__vnm='$__v'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}
	;;
      --prevent:*)          eval `echo "$opt" | sed -n 's|^[^:]*:\(.*\)|__n="\1"|p'`
__vnm="__`echo "$__n" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]|| { eval "$__vnm=''"; test -z "$verbose" || echo "	blocking definitions for $__n" ;}	;;
      --conf-file=*)	    __fs=
for __f in `echo "$opt" | sed 's|[^=]*=\(.*\)|\1|'` ""
do if [ -r "$__f" ]; then
      __fs="$__fs $__f"
   elif [ "$__f" != "" ]; then
      ___f=
      for __d in $__defaultdirs
      do [ -r "$__d/$__f" ] && ___f="$__d/$__f"
      done
      if [ -n "$___f" ]; then
	 __fs="$__fs $___f"
      else
	 echo >&2 "*** WARNING:" "file \"$__f\" not found"
      fi
   fi
done
test -n "$silent" || echo "processing configuration file(s)$__fs"
sed -n "s|^[ 	]*\(!\)[ 	]*\([-+_.A-Za-z][-+_.A-Za-z0-9]*\).*|\2 \1 _|p
s|^[ 	]*\(with-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*\$|\1 + yes|p
s|^[ 	]*\(enable-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*\$|\1 + yes|p
s|^[ 	]*\(with-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*=[ 	]*\(.*\)|\1 + \2|p
s|^[ 	]*\(enable-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*=[ 	]*\(.*\)|\1 + \2|p
s|^[ 	]*\([-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*\([=:]\)[ 	]*\(.*\)|\1 \2 \3|p" $__fs /dev/null\
| { while read name sep val
    do
       vname="`echo "$name" | sed 's|[^A-Za-z0-9]|_|g'`"
       if test '+' = "$sep"; then
	  test -z "$verbose" || echo "	setting $vname to \"$val\""
	  __c=`echo "$vname='$val'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`
	  echo "$__c" >> $__tmpf
       else
	  [ -n "`eval echo '${'"__$vname"'+.}'`" ] || {
	     case "$sep" in
	        =) { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@$name@%$val%g";__addsubst_=+
test -z "$verbose" || echo "	setting $name to \"$val\""
}
 ;;
	        :) { cat >> confdefs.h <<EOF
#define $name $val
EOF


test -z "$verbose" || echo "	defining $name as \"$val\""
};;
		!) test -z "$verbose" || echo "	blocking definitions for $name"; val=      ;;
	     esac
	     __c=`echo "__$vname='$val'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`
	     echo "$__c" >> $__tmpf; eval "$__c"
	  }
       fi
    done
    echo "__addsubst='$__addsubst'
__addsubst_=$__addsubst_
DEFS='$DEFS'" >> $__tmpf
  }
eval "`cat $__tmpf`"
	;;
--obst-includes=*)  ADD_obstINCS="$ADD_obstINCS `echo "$opt" | sed 's|[^=]*=\(.*\)|\1|'`" ;;
      --obst-libraries=*) ADD_obstLIBS="$ADD_obstLIBS `echo "$opt" | sed 's|[^=]*=\(.*\)|\1|'`" ;;
--tcl-includes=*)    ADD_tclINCS="$ADD_tclINCS `echo "$opt" | sed 's|[^=]*=\(.*\)|\1|'`"	;;
   --tcl-libraries=*)   ADD_tclLIBS="$ADD_tclLIBS `echo "$opt" | sed 's|[^=]*=\(.*\)|\1|'`"	;;
   --tk-includes=*)      ADD_tkINCS="$ADD_tkINCS  `echo "$opt" | sed 's|[^=]*=\(.*\)|\1|'`"	;;
   --tk-libraries=*)     ADD_tkLIBS="$ADD_tkLIBS  `echo "$opt" | sed 's|[^=]*=\(.*\)|\1|'`"	;;

      '')		    ;;
      *)		    __opts_out="$__opts_out '$opt'"
			    continue
			    ;;
   esac
   case "$opt" in
      --conf-file=local.cnf | '') continue ;;
   esac
   __opts_saved="$__opts_saved '$opt'"
done
test -s confdefs.h && cp confdefs.h $__tmpf.defs
eval set - $__opts_out "''"

# Initialize some variables set by options.
# The variables have the same names as the options, with
# dashes changed to underlines.
build=NONE
cache_file=./config.cache
exec_prefix=NONE
host=NONE
no_create=
nonopt=NONE
no_recursion=
prefix=NONE
program_prefix=NONE
program_suffix=NONE
program_transform_name=s,x,x,
silent=
site=
srcdir=
target=NONE
verbose=
x_includes=NONE
x_libraries=NONE

# Initialize some other variables.
subdirs=

ac_prev=
for ac_option
do

  # If the previous option needs an argument, assign it.
  if test -n "$ac_prev"; then
    eval "$ac_prev=\$ac_option"
    ac_prev=
    continue
  fi

  case "$ac_option" in
  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
  *) ac_optarg= ;;
  esac

  # Accept the important Cygnus configure options, so we can diagnose typos.

  case "$ac_option" in

  -build | --build | --buil | --bui | --bu | --b)
    ac_prev=build ;;
  -build=* | --build=* | --buil=* | --bui=* | --bu=* | --b=*)
    build="$ac_optarg" ;;

  -cache-file | --cache-file | --cache-fil | --cache-fi \
  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
    ac_prev=cache_file ;;
  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
    cache_file="$ac_optarg" ;;

  -disable-* | --disable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    eval "enable_${ac_feature}=no" ;;

  -enable-* | --enable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "enable_${ac_feature}='$ac_optarg'" ;;

  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  | --exec | --exe | --ex)
    ac_prev=exec_prefix ;;
  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  | --exec=* | --exe=* | --ex=*)
    exec_prefix="$ac_optarg" ;;

  -gas | --gas | --ga | --g)
    # Obsolete; use --with-gas.
    with_gas=yes ;;

  -help | --help | --hel | --he)
    # Omit some internal or obsolete options to make the list less imposing.
    # This message is too long to be a string in the A/UX 3.1 sh.
    cat << EOF
Usage: configure [options] [host]
Options: [defaults in brackets after descriptions]
Configuration:
  --cache-file=FILE       cache test results in FILE
  --help                  print this message
  --no-create             do not create output files
  --quiet, --silent       do not print \`checking...' messages
  --version               print the version of autoconf that created configure
Directory and file names:
  --prefix=PREFIX         install architecture-independent files in PREFIX
                          [$ac_default_prefix]
  --exec-prefix=PREFIX    install architecture-dependent files in PREFIX
                          [same as prefix]
  --srcdir=DIR            find the sources in DIR [configure dir or ..]
  --program-prefix=PREFIX prepend PREFIX to installed program names
  --program-suffix=SUFFIX append SUFFIX to installed program names
  --program-transform-name=PROGRAM run sed PROGRAM on installed program names
Host type:
  --build=BUILD           configure for building on BUILD [BUILD=HOST]
  --host=HOST             configure for HOST [guessed]
  --target=TARGET         configure for TARGET [TARGET=HOST]
Features and packages:
  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  --x-includes=DIR        X include files are in DIR
  --x-libraries=DIR       X library files are in DIR
--enable and --with options recognized:$ac_help
EOF
    exit 0 ;;

  -host | --host | --hos | --ho)
    ac_prev=host ;;
  -host=* | --host=* | --hos=* | --ho=*)
    host="$ac_optarg" ;;

  -nfp | --nfp | --nf)
    # Obsolete; use --without-fp.
    with_fp=no ;;

  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c)
    no_create=yes ;;

  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
    no_recursion=yes ;;

  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
    ac_prev=prefix ;;
  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
    prefix="$ac_optarg" ;;

  -program-prefix | --program-prefix | --program-prefi | --program-pref \
  | --program-pre | --program-pr | --program-p)
    ac_prev=program_prefix ;;
  -program-prefix=* | --program-prefix=* | --program-prefi=* \
  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
    program_prefix="$ac_optarg" ;;

  -program-suffix | --program-suffix | --program-suffi | --program-suff \
  | --program-suf | --program-su | --program-s)
    ac_prev=program_suffix ;;
  -program-suffix=* | --program-suffix=* | --program-suffi=* \
  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
    program_suffix="$ac_optarg" ;;

  -program-transform-name | --program-transform-name \
  | --program-transform-nam | --program-transform-na \
  | --program-transform-n | --program-transform- \
  | --program-transform | --program-transfor \
  | --program-transfo | --program-transf \
  | --program-trans | --program-tran \
  | --progr-tra | --program-tr | --program-t)
    ac_prev=program_transform_name ;;
  -program-transform-name=* | --program-transform-name=* \
  | --program-transform-nam=* | --program-transform-na=* \
  | --program-transform-n=* | --program-transform-=* \
  | --program-transform=* | --program-transfor=* \
  | --program-transfo=* | --program-transf=* \
  | --program-trans=* | --program-tran=* \
  | --progr-tra=* | --program-tr=* | --program-t=*)
    program_transform_name="$ac_optarg" ;;

  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil)
    silent=yes ;;

  -site | --site | --sit)
    ac_prev=site ;;
  -site=* | --site=* | --sit=*)
    site="$ac_optarg" ;;

  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
    ac_prev=srcdir ;;
  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
    srcdir="$ac_optarg" ;;

  -target | --target | --targe | --targ | --tar | --ta | --t)
    ac_prev=target ;;
  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
    target="$ac_optarg" ;;

  -v | -verbose | --verbose | --verbos | --verbo | --verb)
    verbose=yes ;;

  -version | --version | --versio | --versi | --vers)
    echo "configure generated by autoconf version 2.1"
    exit 0 ;;

  -with-* | --with-*)
    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "with_${ac_package}='$ac_optarg'" ;;

  -without-* | --without-*)
    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    eval "with_${ac_package}=no" ;;

  --x)
    # Obsolete; use --with-x.
    with_x=yes ;;

  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  | --x-incl | --x-inc | --x-in | --x-i)
    ac_prev=x_includes ;;
  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
    x_includes="$ac_optarg" ;;

  -x-libraries | --x-libraries | --x-librarie | --x-librari \
  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
    ac_prev=x_libraries ;;
  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
    x_libraries="$ac_optarg" ;;

  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
    ;;

  *) 
    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
      echo "configure: warning: $ac_option: invalid host type" 1>&2
    fi
    if test "x$nonopt" != xNONE; then
      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
    fi
    nonopt="$ac_option"
    ;;

  esac
done

if test -n "$ac_prev"; then
  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
fi

trap 'rm -fr conftest* confdefs* core $ac_clean_files; exit 1' 1 2 15

# File descriptor usage:
# 0 unused; standard input
# 1 file creation
# 2 errors and warnings
# 3 unused; some systems may open it to /dev/tty
# 4 checking for... messages and results
# 5 compiler messages saved in config.log
if test "$silent" = yes; then
  exec 4>/dev/null
else
  exec 4>&1
fi
exec 5>./config.log

echo "\
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
" 1>&5

# Strip out --no-create and --no-recursion so they do not pile up.
# Also quote any args containing shell metacharacters.
ac_configure_args=
for ac_arg
do
  case "$ac_arg" in
  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c) ;;
  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
  esac
done

# NLS nuisances.
# Only set LANG and LC_ALL to C if already set.
# These must not be set unconditionally because not all systems understand
# e.g. LANG=C (notably SCO).
if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi

# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h

# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
ac_unique_file=src/interface/_t2oconf.h.in

# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  ac_srcdir_defaulted=yes
  # Try the directory containing this script, then its parent.
  ac_prog=$0
  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  srcdir=$ac_confdir
  if test ! -r $srcdir/$ac_unique_file; then
    srcdir=..
  fi
else
  ac_srcdir_defaulted=no
fi
if test ! -r $srcdir/$ac_unique_file; then
  if test "$ac_srcdir_defaulted" = yes; then
    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
  else
    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
  fi
fi
srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`

# Prefer explicitly selected file to automatically selected ones.
if test -z "$CONFIG_SITE"; then
  if test "x$prefix" != xNONE; then
    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
  else
    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
  fi
fi
for ac_site_file in $CONFIG_SITE; do
  if test -r "$ac_site_file"; then
    echo "loading site script $ac_site_file"
    . "$ac_site_file"
  fi
done

if test -r "$cache_file"; then
  echo "loading cache $cache_file"
  . $cache_file
else
  echo "creating cache $cache_file"
  > $cache_file
fi

ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CPP $CPPFLAGS'
ac_compile='${CC-cc} $CFLAGS $CPPFLAGS conftest.$ac_ext -c 1>&5 2>&5'
ac_link='${CC-cc} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext -o conftest $LIBS 1>&5 2>&5'

if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
    ac_n= ac_c='
' ac_t='	'
  else
    ac_n=-n ac_c= ac_t=
  fi
else
  ac_n= ac_c='\c' ac_t=
fi

ac_configure_args="$ac_configure_args $__opts_saved"
for __vnm in prefix exec_prefix
do if test "`eval echo '\$'$__vnm`" = NONE; then
      if [ -n "`eval echo '${'"__$__vnm"'+.}'`" ]; then
         eval "$__vnm='`eval echo '\$'__$__vnm`'"
      fi
   else
      eval "__$__vnm='`eval echo '\$'$__vnm`'"
   fi
done

srcdir_abs="`(cd $srcdir; pwd | sed 's|/tmp_mnt||')`" 
test -d "$srcdir/lib"     || mkdir "$srcdir/lib"
test -d "$srcdir/lib/pic" || mkdir "$srcdir/lib/pic"
test -n "$silent" || echo 'checking for OBST'
test -n "$__OBSTINC" || {
   if test -n "$SOSV_VERSION_PATH"; then
      __op=$SOSV_VERSION_PATH
elif test -z "$ADD_obstINCS"; then
      # Extract the first word of "bundle", so it can be a program name with args.
set dummy bundle; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&4
if eval "test \"`echo '${'ac_cv_prog___op'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&4
else
  if test -n "$__op"; then
  ac_cv_prog___op="$__op" # Let the user override the test.
else
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog___op="`echo $ac_dir|sed 's|/[^/]*$||'`"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
fi
__op="$ac_cv_prog___op"
if test -n "$__op"; then
  echo "$ac_t""$__op" 1>&4
else
  echo "$ac_t""no" 1>&4
fi

   fi
   __OBSTINC=;for __d in $ADD_obstINCS $__op/include
do for __f in $__d/obst.h
   do [ -r "$__f" ] && { __OBSTINC="$__d"; break 2; }
   done
done

[ -n "$__OBSTINC" ] || echo >&2 "*** WARNING:" "couldn't find \"obst.h\" in \"$ADD_obstINCS $__op/include\""
__vnm="__`echo "__OBSTINC" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@__OBSTINC@%$__OBSTINC%g";__addsubst_=+
test -z "$verbose" || echo "	setting __OBSTINC to \"$__OBSTINC\""
eval `echo "$__vnm='$__OBSTINC'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

   { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@OBSTINC@%$__OBSTINC%g";__addsubst_=+
test -z "$verbose" || echo "	setting OBSTINC to \"$__OBSTINC\""
}
}
test -n "$__OBSTLIB" || {
   if test -n "$SOSV_VERSION_PATH"; then
      __op="$SOSV_VERSION_PATH/lib/*"
   elif test -n "$__OBSTINC"; then
      __op="`echo $__OBSTINC|sed 's|/[^/]*$||'`/lib"
elif test -z "$ADD_obstLIBS"; then
      # Extract the first word of "bundle", so it can be a program name with args.
set dummy bundle; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&4
if eval "test \"`echo '${'ac_cv_prog___op'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&4
else
  if test -n "$__op"; then
  ac_cv_prog___op="$__op" # Let the user override the test.
else
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog___op="`echo $ac_dir|sed 's|/[^/]*$||'`"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
fi
__op="$ac_cv_prog___op"
if test -n "$__op"; then
  echo "$ac_t""$__op" 1>&4
else
  echo "$ac_t""no" 1>&4
fi

      __op="$__op/lib"
   fi
   __OBSTLIB=;for __d in $ADD_obstLIBS $__op
do for __f in $__d/libOBST.*
   do [ -r "$__f" ] && { __OBSTLIB="$__d"; break 2; }
   done
done

[ -n "$__OBSTLIB" ] || echo >&2 "*** WARNING:" "couldn't find \"libOBST.*\" in \"$ADD_obstLIBS $__op\""
__vnm="__`echo "__OBSTLIB" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@__OBSTLIB@%$__OBSTLIB%g";__addsubst_=+
test -z "$verbose" || echo "	setting __OBSTLIB to \"$__OBSTLIB\""
eval `echo "$__vnm='$__OBSTLIB'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

   { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@OBSTLIB@%$__OBSTLIB%g";__addsubst_=+
test -z "$verbose" || echo "	setting OBSTLIB to \"$__OBSTLIB\""
}
}
if test -n "$__SET_MAKE"
then SET_MAKE="$__SET_MAKE"
else echo $ac_n "checking whether ${MAKE-make} sets \$MAKE""... $ac_c" 1>&4
set dummy ${MAKE-make}; ac_make=$2
if eval "test \"`echo '${'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&4
else
  cat > conftestmake <<\EOF
all:
	@echo 'ac_maketemp="${MAKE}"'
EOF
# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
if test -n "$ac_maketemp"; then
  eval ac_cv_prog_make_${ac_make}_set=yes
else
  eval ac_cv_prog_make_${ac_make}_set=no
fi
rm -f conftestmake
fi
if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
  echo "$ac_t""yes" 1>&4
  SET_MAKE=
else
  echo "$ac_t""no" 1>&4
  SET_MAKE="MAKE=${MAKE-make}"
fi
 __SET_MAKE=_ ; fi

   


#
#  process additional options
#



#
#  checks for programs
#
echo $ac_n "checking whether ln -s works""... $ac_c" 1>&4
if eval "test \"`echo '${'ac_cv_prog_LN_S'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&4
else
  rm -f conftestdata
if ln -s X conftestdata 2>/dev/null
then
  rm -f conftestdata
  ac_cv_prog_LN_S="ln -s"
else
  ac_cv_prog_LN_S=ln
fi
fi
LN_S="$ac_cv_prog_LN_S"
if test "$ac_cv_prog_LN_S" = "ln -s"; then
  echo "$ac_t""yes" 1>&4
else
  echo "$ac_t""no" 1>&4
fi



#
#  checks for imported modules: tcl/tk
#
test -n "$silent" || echo 'checking for tcl/tk'

	# $shROOT/<subdir>/wish == $shPATH/wish
	# srcROOT: parent directory of $srcdir
# Extract the first word of "wish", so it can be a program name with args.
set dummy wish; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&4
if eval "test \"`echo '${'ac_cv_path___shPATH'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&4
else
  case "$__shPATH" in
  /*)
  ac_cv_path___shPATH="$__shPATH" # Let the user override the test with a path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path___shPATH="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac
fi
__shPATH="$ac_cv_path___shPATH"
if test -n "$__shPATH"; then
  echo "$ac_t""$__shPATH" 1>&4
else
  echo "$ac_t""no" 1>&4
fi

__shROOT=
test -z "$__shPATH" || {
   __shPATH="`echo $__shPATH|sed 's|/[^/]*$||'`"
   __shROOT="`echo $__shPATH|sed 's|/[^/]*$||'`"
}
__srcROOT="`echo $srcdir_abs|sed 's|/[^/]*$||'`"

	# Search for tcl/tk include directories if not already set via
	# command line, configuration file.
[ -n "`eval echo '${'"__TKINCS"'+.}'`" ] || {
   __dummy_tcl=;for __d in $ADD_tclINCS $__shROOT/include \
	$__srcROOT/tcl7.3 \
	$__srcROOT/tcl7.1 \
	$__srcROOT/tcl7.* \
	$__srcROOT/tcl \
	/usr/local/include
do for __f in $__d/tcl.h
   do [ -r "$__f" ] && { __dummy_tcl="$__d"; break 2; }
   done
done

[ -n "$__dummy_tcl" ] || echo >&2 "*** WARNING:" "couldn't find \"tcl.h\" in \"$ADD_tclINCS $__shROOT/include \
	$__srcROOT/tcl7.3 \
	$__srcROOT/tcl7.1 \
	$__srcROOT/tcl7.* \
	$__srcROOT/tcl \
	/usr/local/include\""
__vnm="__`echo "__dummy_tcl" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@__dummy_tcl@%$__dummy_tcl%g";__addsubst_=+
test -z "$verbose" || echo "	setting __dummy_tcl to \"$__dummy_tcl\""
eval `echo "$__vnm='$__dummy_tcl'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}


   __dummy_tk=;for __d in $ADD_tkINCS $__dummy_tcl \
	$__shROOT/include \
	$__srcROOT/tk3.6  \
	$__srcROOT/tk3.6* \
	$__srcROOT/tk3.*  \
	$__srcROOT/tk \
	/usr/local/include
do for __f in $__d/tk.h
   do [ -r "$__f" ] && { __dummy_tk="$__d"; break 2; }
   done
done

[ -n "$__dummy_tk" ] || echo >&2 "*** WARNING:" "couldn't find \"tk.h\" in \"$ADD_tkINCS $__dummy_tcl \
	$__shROOT/include \
	$__srcROOT/tk3.6  \
	$__srcROOT/tk3.6* \
	$__srcROOT/tk3.*  \
	$__srcROOT/tk \
	/usr/local/include\""
__vnm="__`echo "__dummy_tk" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@__dummy_tk@%$__dummy_tk%g";__addsubst_=+
test -z "$verbose" || echo "	setting __dummy_tk to \"$__dummy_tk\""
eval `echo "$__vnm='$__dummy_tk'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}


   test -z "$__dummy_tk" || __TKINCS="-I$__dummy_tk"
   test -z "$__dummy_tcl" || {
      if test -z "$__TKINCS"; then
	 __TKINCS="-I$__dummy_tcl"
      elif test "$__dummy_tk" != "$__dummy_tcl"; then
	 __TKINCS="$__TKINCS -I$__dummy_tcl"
      fi
   }
   { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@TKINCS@%$__TKINCS%g";__addsubst_=+
test -z "$verbose" || echo "	setting TKINCS to \"$__TKINCS\""
}

}
	# Search for tcl/tk library directories if not already set via
	# command line, configuration file.
[ -n "`eval echo '${'"__TKLIBS"'+.}'`" ] || {
   __dummy_tcl=;for __d in $ADD_tclLIBS $__shROOT/lib \
	$__srcROOT/tcl7.3 \
	$__srcROOT/tcl7.1 \
	$__srcROOT/tcl7.* \
	$__srcROOT/tcl \
	/usr/local/lib
do for __f in $__d/libtcl*
   do [ -r "$__f" ] && { __dummy_tcl="$__d"; break 2; }
   done
done

[ -n "$__dummy_tcl" ] || echo >&2 "*** WARNING:" "couldn't find \"libtcl*\" in \"$ADD_tclLIBS $__shROOT/lib \
	$__srcROOT/tcl7.3 \
	$__srcROOT/tcl7.1 \
	$__srcROOT/tcl7.* \
	$__srcROOT/tcl \
	/usr/local/lib\""
__vnm="__`echo "__dummy_tcl" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@__dummy_tcl@%$__dummy_tcl%g";__addsubst_=+
test -z "$verbose" || echo "	setting __dummy_tcl to \"$__dummy_tcl\""
eval `echo "$__vnm='$__dummy_tcl'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}


   __dummy_tk=;for __d in $ADD_tkLIBS $__dummy_tcl \
	$__shROOT/lib \
	$__srcROOT/tk3.6  \
	$__srcROOT/tk3.6* \
	$__srcROOT/tk3.*  \
	$__srcROOT/tk \
	/usr/local/lib
do for __f in $__d/libtk*
   do [ -r "$__f" ] && { __dummy_tk="$__d"; break 2; }
   done
done

[ -n "$__dummy_tk" ] || echo >&2 "*** WARNING:" "couldn't find \"libtk*\" in \"$ADD_tkLIBS $__dummy_tcl \
	$__shROOT/lib \
	$__srcROOT/tk3.6  \
	$__srcROOT/tk3.6* \
	$__srcROOT/tk3.*  \
	$__srcROOT/tk \
	/usr/local/lib\""
__vnm="__`echo "__dummy_tk" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@__dummy_tk@%$__dummy_tk%g";__addsubst_=+
test -z "$verbose" || echo "	setting __dummy_tk to \"$__dummy_tk\""
eval `echo "$__vnm='$__dummy_tk'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}


   test -z "$__dummy_tk" || __TKLIBS="-L$__dummy_tk"
   test -z "$__dummy_tcl" || {
      if test -z "$__TKLIBS"; then
	 __TKLIBS="-L$__dummy_tcl"
      elif test "$__dummy_tk" != "$__dummy_tcl"; then
	 __TKLIBS="$__TKLIBS -L$__dummy_tcl"
      fi
   }
   { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@TKLIBS@%$__TKLIBS%g";__addsubst_=+
test -z "$verbose" || echo "	setting TKLIBS to \"$__TKLIBS\""
}

}
	# Determine tk version (e.g. "36", "34") if not already set via
	# command line, configuration file.
[ -n "`eval echo '${'"__TKVSUFF"'+.}'`" ] || {
   __dummy_tk=;for __d in `echo "$__TKINCS" | sed 's|-I||g'`
do for __f in $__d/tk.h
   do [ -r "$__f" ] && { __dummy_tk="$__d"; break 2; }
   done
done


   test -z "$__dummy_tk" || {
      __TKVSUFF="`  egrep TK_VERSION $__dummy_tk/tk.h \
			  | sed 's|[^0-9]||g'`"
      { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@TKVSUFF@%$__TKVSUFF%g";__addsubst_=+
test -z "$verbose" || echo "	setting TKVSUFF to \"$__TKVSUFF\""
}

   }
}
	# Locate include file of extended tcl.
if test     -r $__dummy_tk/tclExtend.h\
         -o -r $__dummy_tcl/tclExtend.h; then
   __tclX_found=jo
else
   __tclX_found=
fi


#
#  checks for library functions
#
__ck=

[ -n "`eval echo '${'"__HAVE_MATHERR"'+.}'`" ] || __ck="$__ck matherr"

LIBS="${LIBS} -lm"
for ac_func in $__ck
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&4
if eval "test \"`echo '${'ac_cv_func_$ac_func'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&4
else
  cat > conftest.$ac_ext <<EOF
#line 984 "configure"
#include "confdefs.h"
#include <ctype.h> /* Arbitrary system header to define __stub macros. */
/* Override any gcc2 internal prototype to avoid an error.  */
char $ac_func(); 

int main() { return 0; }
int t() {

/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
choke me
#else
$ac_func();
#endif

; return 0; }
EOF
if eval $ac_link; then
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=yes"
else
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=no"
fi
rm -f conftest*

fi
if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
  echo "$ac_t""yes" 1>&4
    ac_tr_func=HAVE_`echo $ac_func | tr '[a-z]' '[A-Z]'`
  cat >> confdefs.h <<EOF
#define $ac_tr_func 1
EOF
 
else
  echo "$ac_t""no" 1>&4
fi
done



#
#  shared object support
#
test -n "$silent" || echo 'processing shared object options'
__f=$__OBSTINC/etc/obst_common.mk
if test -r "$__f"; then
   __shSUFF_sa="`sed -n -e 's|^[ 	]*shSUFF.sa[ 	]*=[ 	]*\(.*\)|\1|p' $__f`"
   __LD_DO_RTLPATH="`sed -n -e 's|^[ 	]*LD_DO_RTLPATH[ 	]*=[ 	]*\(.*\)|\1|p' $__f`"
   __shVERSIONSEP="`sed -n -e 's|^[ 	]*shVERSIONSEP[ 	]*=[ 	]*\(.*\)|\1|p' $__f`"
else
   echo >&2 "*** WARNING:" "can't read file \"$__f\""
fi
[ -n "$__shVERSION" ] || {
   v=
   [ -z "$__shVERSIONSEP" ] || \
      v="`sed -n -e 's|^#[ 	]*define[ 	]*C2OBST_VERSION_NO[ 	]*\(.*\)|\1|p' $srcdir/src/interface/_t2oconf.h.in`$__shVERSIONSEP"0
   { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@_shVERSION@%$v%g";__addsubst_=+
test -z "$verbose" || echo "	setting _shVERSION to \"$v\""
}
   { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@shVERSION@%$__shVERSIONSEP$v%g";__addsubst_=+
test -z "$verbose" || echo "	setting shVERSION to \"$__shVERSIONSEP$v\""
}
}
[ -n "$__localLIB_sa" ] || {
   v=
   [ -z "$__shSUFF_sa" ] || v=''
   { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@localLIB.sa@%$v%g";__addsubst_=+
test -z "$verbose" || echo "	setting localLIB.sa to \"$v\""
}
}
[ -n "$__shLDFLAGS" ] || {
   v=
   [ -z "$__LD_DO_RTLPATH" ] || v='$(LD_DO_RTLPATH)$(myLIB):$(libdir):$(OBSTLIB):$(OBST_XLIB)'
   { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@shLDFLAGS@%$v%g";__addsubst_=+
test -z "$verbose" || echo "	setting shLDFLAGS to \"$v\""
}
}



#
#  process module switches
#
test -n "$silent" || echo 'processing module switches'

[ -n "`eval echo '${'"__tclX_found"'+.}'`" ] || {
   __V='#'
   __vnm="__`echo "do_tclXmain" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@do_tclXmain@%$__V%g";__addsubst_=+
test -z "$verbose" || echo "	setting do_tclXmain to \"$__V\""
eval `echo "$__vnm='$__V'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

   __vnm="__`echo "do_tkXmain" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@do_tkXmain@%$__V%g";__addsubst_=+
test -z "$verbose" || echo "	setting do_tkXmain to \"$__V\""
eval `echo "$__vnm='$__V'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

}
case "$__TKVSUFF" in
   2*|3[0123])
      test "$__TKVSUFF" = '33' || {
	 __V='#'
	 __vnm="__`echo "do_tclMain" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@do_tclMain@%$__V%g";__addsubst_=+
test -z "$verbose" || echo "	setting do_tclMain to \"$__V\""
eval `echo "$__vnm='$__V'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

      }
      __V='$(t2o_TKLIBS) -ltkx -ltclx -L$(OBST_XLIB) -lX11 -lm'
      __vnm="__`echo "WISHxLIBS" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@WISHxLIBS@%$__V%g";__addsubst_=+
test -z "$verbose" || echo "	setting WISHxLIBS to \"$__V\""
eval `echo "$__vnm='$__V'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

      __vnm="__`echo "t2o_TCLX_OLDSTYLE" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ cat >> confdefs.h <<EOF
#define t2o_TCLX_OLDSTYLE 
EOF

eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`
test -z "$verbose" || echo "	defining t2o_TCLX_OLDSTYLE as \"$t2o_TCLX_OLDSTYLE\""
}
      __vnm="__`echo "t2o_TCLX_intMain" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ cat >> confdefs.h <<EOF
#define t2o_TCLX_intMain 
EOF

eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`
test -z "$verbose" || echo "	defining t2o_TCLX_intMain as \"$t2o_TCLX_intMain\""
}
      ;;
   34)__V='#'
      __vnm="__`echo "do_tkXmain" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@do_tkXmain@%$__V%g";__addsubst_=+
test -z "$verbose" || echo "	setting do_tkXmain to \"$__V\""
eval `echo "$__vnm='$__V'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

      __vnm="__`echo "t2o_TCLX_APPINIT" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ cat >> confdefs.h <<EOF
#define t2o_TCLX_APPINIT 
EOF

eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`
test -z "$verbose" || echo "	defining t2o_TCLX_APPINIT as \"$t2o_TCLX_APPINIT\""
}
      __vnm="__`echo "t2o_TCLX_intMain" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ cat >> confdefs.h <<EOF
#define t2o_TCLX_intMain 
EOF

eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`
test -z "$verbose" || echo "	defining t2o_TCLX_intMain as \"$t2o_TCLX_intMain\""
}
      ;;
   36)__V='#'
      __vnm="__`echo "do_tkXmain" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@do_tkXmain@%$__V%g";__addsubst_=+
test -z "$verbose" || echo "	setting do_tkXmain to \"$__V\""
eval `echo "$__vnm='$__V'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

      __vnm="__`echo "do_tclXmain" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@do_tclXmain@%$__V%g";__addsubst_=+
test -z "$verbose" || echo "	setting do_tclXmain to \"$__V\""
eval `echo "$__vnm='$__V'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

      ;;
    *)__V='#'
      __vnm="__`echo "do_tclShells" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@do_tclShells@%%g";__addsubst_=+
test -z "$verbose" || echo "	setting do_tclShells to \"$do_tclShells\""
eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

      __vnm="__`echo "do_tkMain" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@do_tkMain@%$__V%g";__addsubst_=+
test -z "$verbose" || echo "	setting do_tkMain to \"$__V\""
eval `echo "$__vnm='$__V'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

      __vnm="__`echo "do_tclMain" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@do_tclMain@%$__V%g";__addsubst_=+
test -z "$verbose" || echo "	setting do_tclMain to \"$__V\""
eval `echo "$__vnm='$__V'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

      __vnm="__`echo "do_tkXmain" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@do_tkXmain@%$__V%g";__addsubst_=+
test -z "$verbose" || echo "	setting do_tkXmain to \"$__V\""
eval `echo "$__vnm='$__V'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

      __vnm="__`echo "do_tclXmain" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@do_tclXmain@%$__V%g";__addsubst_=+
test -z "$verbose" || echo "	setting do_tclXmain to \"$__V\""
eval `echo "$__vnm='$__V'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

      ;;
esac
( cd $srcdir/sample/lib
  rm -f tcl
  if test "$__TKVSUFF" = 23; then
     $LN_S ../tcl-2.3 ./tcl
  else
     $LN_S ../tcl ./tcl
  fi
)
test "$with_tclx" = yes || {
   __V='#'
   __vnm="__`echo "do_WISHx" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@do_WISHx@%$__V%g";__addsubst_=+
test -z "$verbose" || echo "	setting do_WISHx to \"$__V\""
eval `echo "$__vnm='$__V'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

}

test "$enable_streamif" = yes || {
   __vnm="__`echo "c2o_STREAM_IF" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]|| { eval "$__vnm=''"; test -z "$verbose" || echo "	blocking definitions for c2o_STREAM_IF" ;}
}

do_extensions=no
if test "$enable_arrows" = yes; then
   do_extensions=yes
else
   __V='#'
   __vnm="__`echo "do_Arrows" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@do_Arrows@%$__V%g";__addsubst_=+
test -z "$verbose" || echo "	setting do_Arrows to \"$__V\""
eval `echo "$__vnm='$__V'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

fi
test "$do_extensions" = yes || {
   __V='#'
   __vnm="__`echo "do_Extensions" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@do_Extensions@%$__V%g";__addsubst_=+
test -z "$verbose" || echo "	setting do_Extensions to \"$__V\""
eval `echo "$__vnm='$__V'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

}

#
#  read defaults
#
__fs=
for __f in install_defaults.cnf ""
do if [ -r "$__f" ]; then
      __fs="$__fs $__f"
   elif [ "$__f" != "" ]; then
      ___f=
      for __d in $__defaultdirs
      do [ -r "$__d/$__f" ] && ___f="$__d/$__f"
      done
      if [ -n "$___f" ]; then
	 __fs="$__fs $___f"
      else
	 echo >&2 "*** WARNING:" "file \"$__f\" not found"
      fi
   fi
done
test -n "$silent" || echo "processing configuration file(s)$__fs"
sed -n "s|^[ 	]*\(!\)[ 	]*\([-+_.A-Za-z][-+_.A-Za-z0-9]*\).*|\2 \1 _|p
s|^[ 	]*\(with-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*\$|\1 + yes|p
s|^[ 	]*\(enable-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*\$|\1 + yes|p
s|^[ 	]*\(with-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*=[ 	]*\(.*\)|\1 + \2|p
s|^[ 	]*\(enable-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*=[ 	]*\(.*\)|\1 + \2|p
s|^[ 	]*\([-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*\([=:]\)[ 	]*\(.*\)|\1 \2 \3|p" $__fs /dev/null\
| { while read name sep val
    do
       vname="`echo "$name" | sed 's|[^A-Za-z0-9]|_|g'`"
       if test '+' = "$sep"; then
	  test -z "$verbose" || echo "	setting $vname to \"$val\""
	  __c=`echo "$vname='$val'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`
	  echo "$__c" >> $__tmpf
       else
	  [ -n "`eval echo '${'"__$vname"'+.}'`" ] || {
	     case "$sep" in
	        =) { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@$name@%$val%g";__addsubst_=+
test -z "$verbose" || echo "	setting $name to \"$val\""
}
 ;;
	        :) { cat >> confdefs.h <<EOF
#define $name $val
EOF


test -z "$verbose" || echo "	defining $name as \"$val\""
};;
		!) test -z "$verbose" || echo "	blocking definitions for $name"; val=      ;;
	     esac
	     __c=`echo "__$vname='$val'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`
	     echo "$__c" >> $__tmpf; eval "$__c"
	  }
       fi
    done
    echo "__addsubst='$__addsubst'
__addsubst_=$__addsubst_
DEFS='$DEFS'" >> $__tmpf
  }
eval "`cat $__tmpf`"



#
#  expand macros with paths into installed module
#
for __vnm in prefix exec_prefix
do if test "`eval echo '\$'$__vnm`" = NONE; then
      if [ -n "`eval echo '${'"__$__vnm"'+.}'`" ]; then
         eval "$__vnm='`eval echo '\$'__$__vnm`'"
      fi
   else
      eval "__$__vnm='`eval echo '\$'$__vnm`'"
   fi
done

echo > $__tmpf "
prefix=$prefix
exec_prefix=$exec_prefix
cntdir=$__cntdir
libdir=$__libdir
tcllibdir=$__tcllibdir
includedir=$__includedir
_dummy_target: ;@echo '__libdir_exp=\$(libdir);__cntdir_exp=\$(cntdir);__tcllibdir_exp=\$(tcllibdir);__includedir_exp=\$(includedir)'"
eval `make -f $__tmpf 2>/dev/null`
{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@libdir_exp@%$__libdir_exp%g";__addsubst_=+
test -z "$verbose" || echo "	setting libdir_exp to \"$__libdir_exp\""
}
{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@cntdir_exp@%$__cntdir_exp%g";__addsubst_=+
test -z "$verbose" || echo "	setting cntdir_exp to \"$__cntdir_exp\""
}
{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@tcllibdir_exp@%$__tcllibdir_exp%g";__addsubst_=+
test -z "$verbose" || echo "	setting tcllibdir_exp to \"$__tcllibdir_exp\""
}
{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@includedir_exp@%$__includedir_exp%g";__addsubst_=+
test -z "$verbose" || echo "	setting includedir_exp to \"$__includedir_exp\""
}



#
#  do the configuration
#
test -s $__tmpf.defs && cat $__tmpf.defs >>confdefs.h
for __vnm in prefix exec_prefix
do if test "`eval echo '\$'$__vnm`" = NONE; then
      if [ -n "`eval echo '${'"__$__vnm"'+.}'`" ]; then
         eval "$__vnm='`eval echo '\$'__$__vnm`'"
      fi
   else
      eval "__$__vnm='`eval echo '\$'$__vnm`'"
   fi
done

trap '' 1 2 15
if test -w $cache_file; then
echo "updating cache $cache_file"
cat > $cache_file <<\EOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
# scripts and configure runs.  It is not useful on other systems.
# If it contains results you don't want to keep, you may remove or edit it.
#
# By default, configure uses ./config.cache as the cache file,
# creating it if it does not exist already.  You can give configure
# the --cache-file=FILE option to use a different cache file; that is
# what configure does when it calls configure scripts in
# subdirectories, so they share the cache.
# Giving --cache-file=/dev/null disables caching, for debugging configure.
# config.status only pays attention to the cache file if you give it the
# --recheck option to rerun configure.
#
EOF
# Ultrix sh set writes to stderr and can't be redirected directly.
(set) 2>&1 |
  sed -n "s/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/: \${\1='\2'}/p" \
  >> $cache_file
else
echo "not updating unwritable cache $cache_file"
fi

trap 'rm -fr conftest* confdefs* core $ac_clean_files; exit 1' 1 2 15

test "x$prefix" = xNONE && prefix=$ac_default_prefix
# Let make expand exec_prefix.
test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'

# Any assignment to VPATH causes Sun make to only execute
# the first set of double-colon rules, so remove it if not needed.
# If there is a colon in the path, we need to keep it.
if test "x$srcdir" = x.; then
  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
fi

trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15

DEFS=-DHAVE_CONFIG_H

# Without the "./", some shells look in PATH for config.status.
: ${CONFIG_STATUS=./config.status}

echo creating $CONFIG_STATUS
rm -f $CONFIG_STATUS
cat > $CONFIG_STATUS <<EOF
#!/bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
# $0 $ac_configure_args
#
# Compiler output produced by configure, useful for debugging
# configure, is in ./config.log if it exists.

ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
for ac_option
do
  case "\$ac_option" in
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
    echo "$CONFIG_STATUS generated by autoconf version 2.1"
    exit 0 ;;
  -help | --help | --hel | --he | --h)
    echo "\$ac_cs_usage"; exit 0 ;;
  *) echo "\$ac_cs_usage"; exit 1 ;;
  esac
done

ac_given_srcdir=$srcdir

trap 'rm -fr Makefile Makefile.shells $srcdir/src/interface/c2obst.h.in\
	    $srcdir/include/etc/t2o_common.mk $srcdir/sample/Makefile src/interface/_t2oconf.h src/interface/c2obst.h\
		    src/shells/t2o_init.h conftest*; exit 1' 1 2 15

# Protect against being on the right side of a sed subst in config.status. 
sed 's/%@/@@/; s/@%/@@/; s/%g$/@g/; /@g$/s/[\\\\&%]/\\\\&/g; 
 s/@@/%@/; s/@@/@%/; s/@g$/%g/' > conftest.subs <<\CEOF
$ac_vpsub
$extrasub
s%@CFLAGS@%$CFLAGS%g
s%@CPPFLAGS@%$CPPFLAGS%g
s%@CXXFLAGS@%$CXXFLAGS%g
s%@DEFS@%$DEFS%g
s%@LDFLAGS@%$LDFLAGS%g
s%@LIBS@%$LIBS%g
s%@exec_prefix@%$exec_prefix%g
s%@prefix@%$prefix%g
s%@program_transform_name@%$program_transform_name%g
s%@srcdir_abs@%$srcdir_abs%g
s%@__op@%$__op%g
s%@SET_MAKE@%$SET_MAKE%g
s%@LN_S@%$LN_S%g
s%@__shPATH@%$__shPATH%g
$__addsubst

CEOF
EOF
cat >> $CONFIG_STATUS <<EOF

CONFIG_FILES=\${CONFIG_FILES-"Makefile Makefile.shells $srcdir/src/interface/c2obst.h.in\
	    $srcdir/include/etc/t2o_common.mk $srcdir/sample/Makefile"}
EOF
cat >> $CONFIG_STATUS <<\EOF
for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
  # Support "outfile[:infile]", defaulting infile="outfile.in".
  case "$ac_file" in
  *:*) ac_file_in=`echo "$ac_file"|sed 's%.*:%%'`
       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  *) ac_file_in="${ac_file}.in" ;;
  esac

  # Adjust relative srcdir, etc. for subdirectories.

  # Remove last slash and all that follows it.  Not all systems have dirname.
  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
    # The file is in a subdirectory.
    test ! -d "$ac_dir" && mkdir "$ac_dir"
    ac_dir_suffix="/$ac_dir"
    # A "../" for each directory in $ac_dir_suffix.
    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
  else
    ac_dir_suffix= ac_dots=
  fi

  case "$ac_given_srcdir" in
  .)  srcdir=.
      if test -z "$ac_dots"; then top_srcdir=.
      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
  *) # Relative path.
    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
    top_srcdir="$ac_dots$ac_given_srcdir" ;;
  esac

  echo creating "$ac_file"
  rm -f "$ac_file"
  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
  case "$ac_file" in
  *Makefile*) ac_comsub="1i\\
# $configure_input" ;;
  *) ac_comsub= ;;
  esac
  sed -e "$ac_comsub
s%@configure_input@%$configure_input%g
s%@srcdir@%$srcdir%g
s%@top_srcdir@%$top_srcdir%g
" -f conftest.subs $ac_given_srcdir/$ac_file_in > $ac_file
fi; done
rm -f conftest.subs

# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
# NAME is the cpp macro being defined and VALUE is the value it is being given.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s%^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
ac_dB='\([ 	][ 	]*\)[^ 	]*%\1#\2'
ac_dC='\3'
ac_dD='%g'
# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
ac_uA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_uB='\([ 	]\)%\1#\2define\3'
ac_uC=' '
ac_uD='\4%g'
# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_eA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_eB='$%\1#\2define\3'
ac_eC=' '
ac_eD='%g'

CONFIG_HEADERS=${CONFIG_HEADERS-"src/interface/_t2oconf.h src/interface/c2obst.h\
		    src/shells/t2o_init.h"}
for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
  # Support "outfile[:infile]", defaulting infile="outfile.in".
  case "$ac_file" in
  *:*) ac_file_in=`echo "$ac_file"|sed 's%.*:%%'`
       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  *) ac_file_in="${ac_file}.in" ;;
  esac

  echo creating $ac_file

  rm -f conftest.frag conftest.in conftest.out
  cp $ac_given_srcdir/$ac_file_in conftest.in

EOF

# Transform confdefs.h into a sed script conftest.vals that substitutes
# the proper values into config.h.in to produce config.h.  And first:
# Protect against being on the right side of a sed subst in config.status. 
# Protect against being in an unquoted here document in config.status.
rm -f conftest.vals
cat > conftest.hdr <<\EOF
s/[\\&%]/\\&/g
s%[\\$`]%\\&%g
s%#define \([A-Za-z_][A-Za-z0-9_]*\) \(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
s%ac_d%ac_u%gp
s%ac_u%ac_e%gp
EOF
sed -n -f conftest.hdr confdefs.h > conftest.vals
rm -f conftest.hdr

# This sed command replaces #undef with comments.  This is necessary, for
# example, in the case of _POSIX_SOURCE, which is predefined and required
# on some systems where configure will not decide to define it.
cat >> conftest.vals <<\EOF
s%^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
EOF

# Break up conftest.vals because some shells have a limit on
# the size of here documents, and old seds have small limits too.
# Maximum number of lines to put in a single here document.
ac_max_here_lines=12

rm -f conftest.tail
while :
do
  ac_lines=`grep -c . conftest.vals`
  # grep -c gives empty output for an empty file on some AIX systems.
  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
  # Write a limited-size here document to conftest.frag.
  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
  echo 'CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in
' >> $CONFIG_STATUS
  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
  rm -f conftest.vals
  mv conftest.tail conftest.vals
done
rm -f conftest.vals

cat >> $CONFIG_STATUS <<\EOF
  rm -f conftest.frag conftest.h
  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
  cat conftest.in >> conftest.h
  rm -f conftest.in
  if cmp -s $ac_file conftest.h 2>/dev/null; then
    echo "$ac_file is unchanged"
    rm -f conftest.h
  else
    rm -f $ac_file
    mv conftest.h $ac_file
  fi
fi; done


__tmpf=/tmp/conf$$ig

rm -rf $__tmpf*
exit 0
EOF
chmod +x $CONFIG_STATUS
rm -fr confdefs* $ac_clean_files
test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS
rm -rf $__tmpf*

